Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
    //show loading screen
    this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    //var cacheKey = Phaser.Plugin.Tiled.utils.cacheKey;
    this.load.image('bg', 'img/MW_main_background.jpg');
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/MW_main_tytul.png');
    this.load.image('pomocnik', 'img/MW_main_przewodnik.png');
    this.load.spritesheet('play_button', 'img/MW_main_button_play.png',200,200,3); 
    this.load.spritesheet('speaker', 'img/speaker1.png',115,115);
    this.load.spritesheet('help', 'img/MW_litery_button_info.png', 130,132);  
    //this.load.spritesheet('arrow','img/strzalki.png', 75,73);
    this.load.image('guiPomocnik', 'img/MW_litery_przewodnik.png');
    this.load.image('Finish', 'img/MW_koniec.png'); 
      
    this.load.spritesheet('dzialanie1', 'img/MW_loteryjka2_dzialanie_1.png', 384,134);
    this.load.spritesheet('dzialanie2', 'img/MW_loteryjka2_dzialanie_2.png', 384,134);
    this.load.spritesheet('dzialanie3', 'img/MW_loteryjka2_dzialanie_3.png', 384,134);
    this.load.spritesheet('dzialanie4', 'img/MW_loteryjka2_dzialanie_4.png', 384,134);
    this.load.spritesheet('dzialanie5', 'img/MW_loteryjka2_dzialanie_5.png', 384,134);
    this.load.spritesheet('dzialanie6', 'img/MW_loteryjka2_dzialanie_6.png', 384,134);
    this.load.spritesheet('dzialanie7', 'img/MW_loteryjka2_dzialanie_7.png', 384,134);
    this.load.spritesheet('dzialanie8', 'img/MW_loteryjka2_dzialanie_8.png', 384,134);
    this.load.spritesheet('dzialanie9', 'img/MW_loteryjka2_dzialanie_9.png', 384,134);
    this.load.spritesheet('dzialanie10', 'img/MW_loteryjka2_dzialanie_10.png', 384,134);
    this.load.spritesheet('dzialanie11', 'img/MW_loteryjka2_dzialanie_11.png', 384,134);
    this.load.spritesheet('dzialanie12', 'img/MW_loteryjka2_dzialanie_12.png', 384,134); 
    
      this.load.spritesheet('odpowedz1', 'img/MW_loteryjka2_wynik_1.png', 191,133);
      this.load.spritesheet('odpowedz2', 'img/MW_loteryjka2_wynik_2.png', 191,133); 
      this.load.spritesheet('odpowedz3', 'img/MW_loteryjka2_wynik_3.png', 191,133);
      this.load.spritesheet('odpowedz4', 'img/MW_loteryjka2_wynik_4.png', 191,133);
      this.load.spritesheet('odpowedz5', 'img/MW_loteryjka2_wynik_5.png', 191,133);
      this.load.spritesheet('odpowedz6', 'img/MW_loteryjka2_wynik_6.png', 191,133); 
      this.load.spritesheet('odpowedz7', 'img/MW_loteryjka2_wynik_7.png', 191,133);
      this.load.spritesheet('odpowedz8', 'img/MW_loteryjka2_wynik_8.png', 191,133);
      this.load.spritesheet('odpowedz9', 'img/MW_loteryjka2_wynik_9.png', 191,133);
      this.load.spritesheet('odpowedz10', 'img/MW_loteryjka2_wynik_10.png', 191,133); 
      this.load.spritesheet('odpowedz11', 'img/MW_loteryjka2_wynik_11.png', 191,133);
      this.load.spritesheet('odpowedz12', 'img/MW_loteryjka2_wynik_12.png', 191,133);  
      
  },    
  create: function() {
    this.state.start('Menu');
  },

};